'use strict';

var _projectSettings = require('../webpack/projectSettings');

var _utilities = require('../utilities');

(0, _utilities.bootstrap)().then(function (_ref) {
  var server = _ref.server;

  (0, _utilities.log)({ message: 'Starting your Server App…\n', useSeparator: true });
  try {
    (0, _utilities.getWebpackAssets)().then(function (_ref2) {
      var assets = _ref2.assets;

      (0, _utilities.preRender)({ server: server, webpackAssets: assets, buildFolder: _projectSettings.buildFolder }).then(function () {
        return (0, _utilities.log)({ message: '\n⭐️  PreRender finished ⭐️\n', type: 'success' });
      });
    });
  } catch (error) {
    (0, _utilities.log)({ message: 'Unable to preRender', error: error });
  }
});