'use strict';

var _projectSettings = require('../webpack/projectSettings');

var _utilities = require('../utilities');

(0, _utilities.bootstrap)().then(function (_ref) {
  var server = _ref.server;

  (0, _utilities.log)({ message: 'Starting your Server App…\n', useSeparator: true });
  try {
    (0, _utilities.getWebpackAssets)().then(function (_ref2) {
      var assets = _ref2.assets;
      return server.start({ assets: assets, buildFolder: _projectSettings.buildFolder });
    });
  } catch (error) {
    (0, _utilities.help)({
      displayedWhen: server && typeof server.start !== 'function',
      warning: 'Your server needs a `start`-method.',
      instruction: 'Example: `start({ assets }) { this.express.listen(2000); }`',
      link: '/dev-toolkit#custom-server',
      error: error
    });
  }
});