import React from 'react';
import path from 'path';
import { renderToString } from 'react-dom/server';

const serverViews = path.resolve(process.cwd(), 'src/server/views');
const rootComponentPath = path.resolve(process.cwd(), 'src/client/RootComponent');
const handlebarsInstance = expressHandlebars.create().engine;

export default ({ assets, buildFolder }) => {
  return new Promise((resolve, reject) => {
    import(rootComponentPath).then(module => {
      const RootComponent = module.default;
      this.handlebarsInstance
        .render(path.join(serverViews, 'template.hbs'), {
          assets,
          renderedHtml: renderToString(<RootComponent />),
        })
        .then(html => {
          console.log('html: ', html);
        });
    });
  });
};
