const cssHook = require('css-modules-require-hook');
const path = require('path');
const sass = require('node-sass');

const includePaths = require('./dev-toolkit.config').includePaths;
const cssChunkNaming = require('./dev-toolkit.config').cssChunkNaming;

cssHook({
  extensions: ['.scss'],

  generateScopedName: cssChunkNaming,

  preprocessCss: (cssFileData, cssFilePath) => {
    return sass.renderSync({
      data: cssFileData,
      includePaths: [].concat(includePaths).concat([path.dirname(cssFilePath)]),
    }).css;
  },
});
