'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _typeof = typeof Symbol === "function" && typeof Symbol.iterator === "symbol" ? function (obj) { return typeof obj; } : function (obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; };

/* eslint-disable no-undef, no-underscore-dangle */

// Shared settings between client and server.
//
// A global handed over by a webpack plugin allows us to retrieve environment variables.
// eslint-disable-next-line no-undef
var creatingBuild = exports.creatingBuild = (typeof devToolkitSettings === 'undefined' ? 'undefined' : _typeof(devToolkitSettings)) !== (typeof undefined === 'undefined' ? 'undefined' : _typeof(undefined));

// Warn if the initial node-command wasn't spawned via the `dev-toolkit`-cli
if (!creatingBuild && _typeof(global.__devToolkitSettings) === (typeof undefined === 'undefined' ? 'undefined' : _typeof(undefined))) {
  console.log('\n⚠️  Could not get shared dev-toolkit settings. Are you using the `dev-toolkit`-cli?\n');
}

// Get Settings via Node global
var devToolkitSettingsServer = !creatingBuild && global.__devToolkitSettings;

// If we're not creating a build, we're server-rendering the client app.
// Therefore we'll want to use `process.env` instead of the build settings.
var sharedEnvs = exports.sharedEnvs = creatingBuild ? devToolkitSettings.sharedEnvs : devToolkitSettingsServer.sharedEnvs;

// Make usePreRender setting available
var usePreRender = exports.usePreRender = creatingBuild ? devToolkitSettings.usePreRender : devToolkitSettingsServer.usePreRender;

// Assign booleans for each environment we might be in
var isProd = exports.isProd = sharedEnvs.NODE_ENV === 'production';
var isDev = exports.isDev = sharedEnvs.NODE_ENV === 'development';
var isTest = exports.isTest = sharedEnvs.NODE_ENV === 'test';

// Detect whether the client-app is being rendered on the client or on the server
var isServer = exports.isServer = !creatingBuild && sharedEnvs.NODE_ENV !== 'test';
var isClient = exports.isClient = !isServer;