'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _fsExtra = require('fs-extra');

var _log = require('../log');

var _log2 = _interopRequireDefault(_log);

var _help = require('../help');

var _help2 = _interopRequireDefault(_help);

var _projectSettings = require('../../webpack/projectSettings');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = function () {
  return new Promise(function (resolve) {
    (0, _log2.default)({ message: 'Importing Server App…' });
    Promise.resolve().then(function () {
      return require('' + _projectSettings.serverAppEntryPoint);
    }).then(function (module) {
      var server = module.default;
      resolve({ server: server });
    }).catch(function (error) {
      (0, _help2.default)({
        displayedWhen: !(0, _fsExtra.pathExistsSync)(_projectSettings.serverAppEntryPoint),
        warning: 'You need a server app entry point.',
        instruction: 'Do you have the file `src/server/index.js`?',
        link: '/dev-toolkit#custom-server',
        error: error
      });
    });
  });
};