'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _fsExtra = require('fs-extra');

var _log = require('./log');

var _log2 = _interopRequireDefault(_log);

var _projectSettings = require('../webpack/projectSettings');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = function () {
  return new Promise(function (resolve) {
    if ((0, _fsExtra.pathExistsSync)(_projectSettings.assetsManifestFile)) {
      Promise.resolve().then(function () {
        return require('' + _projectSettings.assetsManifestFile);
      }).then(function (json) {
        resolve({ assets: json });
      }).catch(function (error) {
        (0, _log2.default)({ message: "Couldn't read `assets-manifest.json`", error: error });
      });
    } else {
      (0, _log2.default)({ message: '`assets-manifest.json` not found. ' });
      resolve({ assets: {} });
    }
  });
};