'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _log = require('./log');

var _log2 = _interopRequireDefault(_log);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = function (_ref) {
  var displayedWhen = _ref.displayedWhen,
      warning = _ref.warning,
      instruction = _ref.instruction,
      link = _ref.link,
      error = _ref.error;

  if (displayedWhen) {
    (0, _log2.default)({ message: warning, type: 'warning' });
    if (instruction) {
      (0, _log2.default)({ message: instruction, type: 'success' });
    }
    if (link) {
      // TODO: add once there is more documentation
      // log({ message: `see: https://github.com/stoikerty${link}\n` });
    }
    if (error) {
      (0, _log2.default)({ error: error });
    }

    process.exit();
  } else {
    (0, _log2.default)({ error: error });
  }
};