'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _message = require('./message');

var _message2 = _interopRequireDefault(_message);

var _error = require('./error');

var _error2 = _interopRequireDefault(_error);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = function (_ref) {
  var message = _ref.message,
      error = _ref.error,
      type = _ref.type,
      title = _ref.title,
      useSeparator = _ref.useSeparator;

  /* eslint-disable no-underscore-dangle */
  var silent = global.__devToolkitCommandOptions && global.__devToolkitCommandOptions.silent || false;

  // Silence out any logs if necessary
  if (!silent) {
    if (message) {
      (0, _message2.default)({ message: message, type: type, title: title, useSeparator: useSeparator });
    }
  }

  // Keep logging errors though
  if (error) {
    (0, _error2.default)({ error: error });
  }
};