'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _chalk = require('chalk');

var _chalk2 = _interopRequireDefault(_chalk);

var _stringLength = require('string-length');

var _stringLength2 = _interopRequireDefault(_stringLength);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = function (_ref) {
  var message = _ref.message,
      type = _ref.type,
      title = _ref.title,
      useSeparator = _ref.useSeparator;

  var hasLinebreakAtEnd = message.lastIndexOf('\n') === message.length - 1;
  var outputMessage = hasLinebreakAtEnd ? message.substring(0, message.lastIndexOf('\n')) : message;

  switch (type) {
    case 'success':
      outputMessage = _chalk2.default.green(outputMessage);
      break;
    case 'warning':
      outputMessage = _chalk2.default.yellow('\u26A0\uFE0F  ' + outputMessage);
      break;
    default:
      if (title) {
        outputMessage = _chalk2.default.magenta('\n[ ' + title + ' ]') + ' ' + _chalk2.default.grey('- ' + outputMessage);
      } else {
        outputMessage = _chalk2.default.grey(outputMessage);
      }
  }

  if (useSeparator) {
    console.log(outputMessage);
    console.log(_chalk2.default.grey('·'.repeat((0, _stringLength2.default)(outputMessage) + (hasLinebreakAtEnd ? 1 : 0))), hasLinebreakAtEnd ? '\n' : '');
  } else {
    console.log(outputMessage, hasLinebreakAtEnd ? '\n' : '');
  }
};