'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _path = require('path');

var _path2 = _interopRequireDefault(_path);

var _babelRunner = require('babel-runner');

var _babelRunner2 = _interopRequireDefault(_babelRunner);

var _utilities = require('../utilities');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = function (_ref) {
  var command = _ref.command,
      message = _ref.message,
      options = _ref.options,
      programmatic = _ref.programmatic,
      skipPrimaryLog = _ref.skipPrimaryLog;

  // Pass options down to specific command
  global.__devToolkitCommandOptions = options || {};

  // Display message to user, making it clear what's going on
  (0, _utilities.log)({
    title: programmatic ? 'dev-toolkit' : command,
    message: programmatic ? 'Running command `' + command + '`' : message,
    useSeparator: true
  });

  if (!skipPrimaryLog) {
    (0, _utilities.log)({ message: 'Adding universal configuration…' });
  }
  try {
    (0, _babelRunner2.default)({
      fileToRun: _path2.default.resolve(__dirname, '../commands/' + command)
    });
  } catch (error) {
    (0, _utilities.log)({ error: error });
  }
}; /* eslint-disable no-underscore-dangle */