'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.assetsPath = exports.publicPath = exports.entryPoint = exports.assetsManifestFile = exports.assetsManifestName = exports.assetsManifestFolder = exports.userSettingsPath = exports.serverAppEntryPoint = exports.buildFolder = exports.projectRoot = exports.defaultTemplate = exports.generatedTemplatesWithoutComments = exports.generatedTemplates = exports.originalTemplates = exports.gitRepoRoot = exports.devToolkitDistribution = exports.devToolkitRoot = undefined;

var _path = require('path');

var _path2 = _interopRequireDefault(_path);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// dev-toolkit specific Folders
var devToolkitRoot = exports.devToolkitRoot = _path2.default.resolve(__dirname, '../../');
var devToolkitDistribution = exports.devToolkitDistribution = _path2.default.resolve(devToolkitRoot, 'dist');
var gitRepoRoot = exports.gitRepoRoot = _path2.default.resolve(devToolkitRoot, '../../');
var originalTemplates = exports.originalTemplates = _path2.default.resolve(gitRepoRoot, 'templates');
var generatedTemplates = exports.generatedTemplates = _path2.default.resolve(devToolkitDistribution, 'generated-templates/original');
var generatedTemplatesWithoutComments = exports.generatedTemplatesWithoutComments = _path2.default.resolve(devToolkitDistribution, 'generated-templates/skipped-comments');
var defaultTemplate = exports.defaultTemplate = 'standard';

// User Project Related Folders & Settings
var projectRoot = exports.projectRoot = process.cwd();
var buildFolder = exports.buildFolder = _path2.default.resolve(projectRoot, 'build');
var serverAppEntryPoint = exports.serverAppEntryPoint = _path2.default.resolve(projectRoot, 'src/server/index.js');
var userSettingsPath = exports.userSettingsPath = _path2.default.resolve(projectRoot, 'dev-toolkit.config.js');

var assetsManifestFolder = exports.assetsManifestFolder = buildFolder;
var assetsManifestName = exports.assetsManifestName = 'assets-manifest.json';
var assetsManifestFile = exports.assetsManifestFile = _path2.default.resolve(assetsManifestFolder, assetsManifestName);

var entryPoint = exports.entryPoint = './src/client/index.js';
// Make sure leading slash & trailing slash is present (otherwise source-map won't work)
var publicPath = exports.publicPath = (process.env.ASSETS_PATH || '/assets').replace(/^\/?/, '/').replace(/\/?$/, '/');
// Remove leading slash from public path to create correct file-path
var assetsPath = exports.assetsPath = _path2.default.resolve(buildFolder, publicPath.replace(/^\//, ''));